####
# Example of what CKEditor can all bring
###

# Load default processing options
imports:
  - { resource: "EXT:rte_ckeditor/Configuration/RTE/Processing.yaml" }
  - { resource: "EXT:rte_ckeditor/Configuration/RTE/Editor/Base.yaml" }
  - { resource: "EXT:rte_ckeditor/Configuration/RTE/Editor/Plugins.yaml" }
  - { resource: "EXT:drk_template/Configuration/Yaml/CKEditor/Editor/Plugins.yaml" }

# Add configuration for the editor
# For complete documentation see http://docs.ckeditor.com/#!/api/CKEDITOR.config
editor:
  config:
    # can be "default", but a custom stylesSet can be defined here, which fits TYPO3 best
    contentsCss: [ "EXT:rte_ckeditor/Resources/Public/Css/contents.css", "EXT:drk_template/Resources/Public/StyleSheets/Backend/CKEditor/ckeditor.min.css", "EXT:dti_drkcmsplus/Resources/Public/Css/Backend/ckeditor.css" ]
    stylesSet:
      # Buttons
      - { name: "LLL:EXT:drk_template/Resources/Private/Language/locallang_be_rte.xlf:label.button.primary", element: "a", attributes: { 'class': 'button button--primary' } }
      - { name: "LLL:EXT:drk_template/Resources/Private/Language/locallang_be_rte.xlf:label.button.secondary", element: "a", attributes: { 'class': 'button button--secondary' } }
      - { name: "LLL:EXT:drk_template/Resources/Private/Language/locallang_be_rte.xlf:label.button.tertiary", element: "a", attributes: { 'class': 'button button--tertiary' } }

    format_lead: { name: "LLL:EXT:drk_template/Resources/Private/Language/locallang_be_rte.xlf:label.format.lead", element: 'p', attributes: { 'class': 'lead' } }
    format_paragraph: { name: "LLL:EXT:drk_template/Resources/Private/Language/locallang_be_rte.xlf:label.format.paragraph", element: 'p', attributes: { 'class': 'p' } }
    format_small: { name: "LLL:EXT:drk_template/Resources/Private/Language/locallang_be_rte.xlf:label.format.small", element: 'p', attributes: { 'class': 'small' } }
    format_tags: "h2;h3;h4;lead;paragraph;small"

    toolbarGroups:
      - { name: clipboard, groups: [ clipboard, undo ] }
      - { name: editing,   groups: [ find, selection, spellchecker ] }
      - { name: links }
      - { name: insert }
      - { name: tools }
      - { name: table }
      - { name: tabletools }
      - { name: document,  groups: [ mode, document, doctools ] }
      - { name: others }
      - "/"
      - { name: styles }
      - { name: basicstyles, groups: [ basicstyles, align, cleanup ] }
      - { name: paragraph,   groups: [ list, indent, blocks, align, bidi ] }

      # Should always only be allowed inside tables
    justifyClasses:
      - text-left
      - text-center
      # - text-right
      # - text-justify

    extraPlugins:
      # Should always only be allowed inside tables
      - justify
      - find
      - bidi

    removePlugins:
      - image

    removeButtons:
      - Anchor
      # - Underline
      # - Strike
      # - Styles
      # - Format
      # - Italic
      # - Blockquote
      - Cut
      - Copy
      - Scayt
      # - HorizontalRule
      # - Source
      # - Maximize
      # - SpecialChar
      # - Table
      #- JustifyLeft # Should always only be allowed inside tables
      #- JustifyCenter # Should always only be allowed inside tables
      - JustifyRight # Should always only be allowed inside tables
      - JustifyBlock # Should always only be allowed inside tables
      - Outdent
      - Indent
      - BidiLtr
      - BidiRtl

# Allow s and u tag
processing:
  allowTags:
    - s
    - u
